<div class="messages mb-5">

  <h1 class="mat-h1">Skrzynka pocztowa</h1>
  <mat-divider class="mb-2"></mat-divider>

  <mat-card>
    <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutGap="50px" fxLayoutGap.xs="10">

      <div class="contacts border-right" fxFlex="300px">
        <mat-list>
          <h3>Lista kontaktów:</h3>
          <div *ngIf="(contacts$ | async) as contacts; else loading">
            <ng-container *ngIf="contacts.length; else noMessages">
              <mat-list-item *ngFor="let contact of contacts">
                <button mat-list-avatar mat-icon-button matTooltip="Napisz wiadomość"
                        (click)="onMessageEmployee(contact)">
                  <mat-icon>textsms</mat-icon>
                </button>
                <h4 mat-line>{{contact?.data?.firstName}} {{contact?.data?.lastName}}</h4>
                <p mat-line>{{contact?.position?.name}}</p>
              </mat-list-item>
            </ng-container>
            <ng-template #noMessages>Nie wysłałeś jeszcze żadnych wiadomości.</ng-template>
          </div>
          <ng-template #loading>Ładowanie danych...</ng-template>
        </mat-list>
      </div>

      <mat-tab-group fxFlex dynamicHeight class="overflow-x">
        <mat-tab>
          <ng-template mat-tab-label>
            <mat-icon>inbox</mat-icon>
            <h3 matSubheader>Otrzymane</h3>
          </ng-template>
          <app-messages-received-list></app-messages-received-list>
        </mat-tab>
        <mat-tab>
          <ng-template mat-tab-label>
            <mat-icon>forward</mat-icon>
            <h3 matSubheader>Wysłane</h3>
          </ng-template>
          <app-messages-sent-list></app-messages-sent-list>
        </mat-tab>
      </mat-tab-group>

    </div>
  </mat-card>
</div>
